searchData={"items":[{"type":"module","title":"QuaggaDef","doc":"Helper functions related to participating in the `Quagga` bamboo clump\n\nBy codifying conventions used therein, it is hope that it will be easier\nto maintain client-facing applications.\n\nThe `Quagga` clump uses a one byte `facet_id` to permit log-type consolidation \nfor a logging identity. This is represented in the high 8-bits of the `log_id`\n\nThe lower 56-bits represent the `base_log_id`.  Such conventions as exist for\n`base_log_id` contents are exposed in the `log_defs`","ref":"QuaggaDef.html"},{"type":"function","title":"QuaggaDef.base_log/1","doc":"The `base_log_id` for a provided atomic name, string type or integer `log_id`","ref":"QuaggaDef.html#base_log/1"},{"type":"function","title":"QuaggaDef.facet_log/2","doc":"Computes the correct `log_id` given a `base_log_id` or atomic name\nand a `facet_id`","ref":"QuaggaDef.html#facet_log/2"},{"type":"function","title":"QuaggaDef.log_def/1","doc":"The log definition map for a given integer log_id","ref":"QuaggaDef.html#log_def/1"},{"type":"function","title":"QuaggaDef.log_defs/0","doc":"A map of all presently defined log types","ref":"QuaggaDef.html#log_defs/0"},{"type":"function","title":"QuaggaDef.log_id_unpack/1","doc":"Unpack a given integer log_id into a tuple with\n`{base_log_id, facet_id}`","ref":"QuaggaDef.html#log_id_unpack/1"},{"type":"function","title":"QuaggaDef.logs_for_encoding/1","doc":"A `log_id` list for a provided atomic encoding across every `facet_id`","ref":"QuaggaDef.html#logs_for_encoding/1"},{"type":"function","title":"QuaggaDef.logs_for_name/1","doc":"A `log_id` list for a provided atomic name\nIncludes the computed values for each possible `facet_id`","ref":"QuaggaDef.html#logs_for_name/1"},{"type":"type","title":"QuaggaDef.base_log_id/0","doc":"A 56-bit integer representing base_log in a `log_id`","ref":"QuaggaDef.html#t:base_log_id/0"},{"type":"type","title":"QuaggaDef.facet_id/0","doc":"An 8-bit integer representing the facet of an identity in a `log_id`","ref":"QuaggaDef.html#t:facet_id/0"},{"type":"type","title":"QuaggaDef.log_def/0","doc":"A map representing the Quagga conventions for log entry contents","ref":"QuaggaDef.html#t:log_def/0"},{"type":"type","title":"QuaggaDef.log_id/0","doc":"A 64-bit integer representing a complete `log_id`","ref":"QuaggaDef.html#t:log_id/0"}],"content_type":"text/markdown"}